Rated 5 out of 5 stars

Not compatible with FF 3.0.4

This review is for a previous version of the add-on (0.31).